.page-footer {
    color: var(--white);
    background: var(--primary-color);
    padding: 48px 0;
    position: relative;
    overflow: hidden;
}

.footer-logo a {
    display: block;
    margin: 0 0 24px;
    background: transparent;
}

.footer-social ul {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 18px;
}

.footer-social ul li {
    padding: 0;
    margin: 0;
}

.footer-social ul li:before {
    display: none;
}

.footer-social ul li a {
    color: var(--white);
    font-size: 40px;
    background: transparent;
}

.footer-flex__left__col+.footer-flex__left__col {
    margin-top: 26px;
}

.back-to-top {
    margin: 28px 0 0;
}

.back-to-top a {
    background: var(--white);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 16px 24px;
}

.footer-links h3 {
    font-size: 18px;
    margin: 0 0 16px;
    color: var(--white);
    position: relative;
}

.footer-links h3 span {
    position: relative;
    z-index: 1;
    background: var(--primary-color);
    padding: 0 8px 0 0;
}

.footer-links h3:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 4px;
    width: 100%;
    height: 2px;
    background: var(--white);
}

.footer-flex__right {
    margin: 45px 0 0;
}

.footer-links ul {
    padding: 0;
    margin: 0;
    display: block;
    column-count: 2;
    column-gap: 30px;
}

.footer-links ul li {
    padding: 0;
    margin: 0 0 6px;
}

.footer-links ul li:before {
    display: none;
}

.footer-links ul li a {
    color: var(--white);
    font-size: 15px;
    font-weight: 400;
    background: transparent;
}

.footer-links+.footer-links {
    margin-top: 22px;
}

.footer-flex__right p {
    margin: 30px 0 0;
    font-size: 13px;
}

.footer-flex__right p a {
    color: var(--white);
    text-decoration: none;
    background: transparent;
}

.footer-bg {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 0);
    width: 1000px;
    max-width: unset;
    object-fit: cover;
    object-position: bottom;
}

.back-to-top a::after {
    transform: rotate(270deg);
}

@media(min-width: 768px) {
    .footer-flex__left {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .footer-flex__left__col+.footer-flex__left__col {
        margin-top: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }

    .page-footer {
        padding: 76px 0;
    }

    .back-to-top {
        margin: 16px 0 0;
    }

    .footer-logo a {
        margin: 0 0 14px;
    }

    .footer-flex__right {
        margin: 30px 0 0;
    }

    .footer-links h3 {
        font-size: 22px;
        margin: 0 0 10px;
    }

    .footer-flex__right {
        margin: 30px 0 0;
        display: flex;
        flex-wrap: wrap;
        gap: 32px;
    }

    .footer-links {
        width: calc(50% - 16px);
        margin: 0;
    }

    .footer-links+.footer-links {
        margin-top: 0;
    }

    .footer-links h3 span {
        padding: 0 12px 0 0;
    }

    .footer-links ul li a {
        font-size: 16px;
    }

    .footer-flex__right p {
        margin: 0;
        font-size: 14px;
    }

    .footer-social ul {
        gap: 20px;
    }
}

@media(min-width: 1000px) {
    .footer-bg {
        min-width: 1000px;
        max-width: unset;
        width: 100%;
    }
}

@media(min-width: 1200px) {
    .footer-flex {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .footer-flex__left {
        gap: 28px;
        width: 400px;
        flex-direction: column;
        align-items: flex-start;
    }

    .footer-flex__left__col+.footer-flex__left__col {
        align-items: flex-start;
    }

    .footer-flex__right {
        margin: 0;
        width: calc(100% - 432px);
        gap: 36px 32px;
    }

    .page-footer {
        padding: 140px 0;
    }

    .footer-social ul {
        gap: 24px;
    }

    .back-to-top {
        margin: 26px 0 0;
    }

    .footer-logo a {
        margin: 0 0 26px;
    }

    .footer-links h3 {
        font-size: 21px;
        margin: 0 0 20px;
        max-width: 324px;
    }

    .footer-links ul li a {
        font-size: 18px;
    }

    .footer-flex__right p {
        font-size: 16px;
    }

    .footer-links ul li a:hover,
    .footer-social ul li a:hover,
    .footer-flex__right p a:hover {
        text-decoration: none;
        color: var(--secondary-hover-color);
    }
}